Commit 5d663fa3 authored by Virgile Prevosto's avatar Virgile Prevosto Committed by Virgile Prevosto
Browse files

[ci] fixes version of camlp5 for CI

Newer version does not compile on nix because of a missing dependency.
parent 5ff67448
......@@ -20,7 +20,7 @@ let frama_clang_build =
{ inherit pkgs stdenv src opam2nix ocaml_version plugins;
name = "frama-clang-on-llvm-" + llvm_version;
deps = [ llvm_package.clang-unwrapped llvm pkgs.gnused ];
opamPackages = [ "camlp5" ];
opamPackages = [ { name = "camlp5"; constraint="=7.14";} ];
preFramaCTests = ''
echo CONFIGURING Why3 for Frama_Clang.
export HOME=$(mktemp -d)
......
......@@ -5,8 +5,8 @@ let
src = builtins.fetchGit {
"url" = "https://bobot:${password}@git.frama-c.com/frama-c/Frama-CI.git";
"name" = "Frama-CI";
"rev" = "ec1a17f66dd629480beed8daeab4ececc5f0dc75";
"ref" = "master";
"rev" = "614b8c3f2be697384626581d84836d7a41dc6c38";
"ref" = "feature/headers/2021";
};
in
{
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment